<?php
namespace Gath\Api;

use DateTimeImmutable;

/**
 * Informacije o Gath API-ju.
 *
 * @package Gath\Api
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gath
 */
final class Info implements ResponseInterface
{
    /** @var string */
    protected $version;
    /** @var DateTimeImmutable */
    protected $date;
    /** @var string */
    protected $gathWorkingYear;
    /** @var string */
    protected $gathWorkingWarehouse;
    /** @var string */
    protected $gathDatabase;
    /** @var string */
    protected $webshopType;
    /** @var Endpoint[] */
    protected $endpoints;

    /**
     * @return string
     */
    public function getVersion(): string
    {
        return $this->version;
    }

    /**
     * @return DateTimeImmutable
     */
    public function getDate(): DateTimeImmutable
    {
        return $this->date;
    }

    /**
     * @return string
     */
    public function getGathWorkingYear(): string
    {
        return $this->gathWorkingYear;
    }

    /**
     * @return string
     */
    public function getGathWorkingWarehouse(): string
    {
        return $this->gathWorkingWarehouse;
    }

    /**
     * @return string
     */
    public function getGathDatabase(): string
    {
        return $this->gathDatabase;
    }

    /**
     * @return string
     */
    public function getWebshopType(): string
    {
        return $this->webshopType;
    }

    /**
     * @return Endpoint[]
     */
    public function getEndpoints(): array
    {
        return $this->endpoints;
    }
}
