<?php
namespace Gath\Hydrator;

use Gath\Api;
use Laminas\Hydrator\NamingStrategy\MapNamingStrategy;
use Laminas\Hydrator\ReflectionHydrator;
use Laminas\Hydrator\Strategy\CollectionStrategy;

/**
 * Class ApiInfoHydrator
 *
 * @package Gath\Hydrator
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gath
 */
final class ApiInfoHydrator extends ReflectionHydrator
{
    /**
     * ApiInfoHydrator constructor.
     */
    public function __construct()
    {
        $this->setNamingStrategy(MapNamingStrategy::createFromHydrationMap([
            'Version' => 'version',
            'Datum' => 'date',
            'GathWorkingYear' => 'gathWorkingYear',
            'GathWorkingWarehouse' => 'gathWorkingWarehouse',
            'GathDatabase' => 'gathDatabase',
            'WebShopType' => 'webshopType',
            'Endpoints' => 'endpoints',
        ]));

        $this->addStrategy('endpoints', new CollectionStrategy(new ApiEndpointHydrator(), Api\Endpoint::class));
    }
}
